; $Header: logcfg.nas,v 1.2 94/02/03 15:48:48 k2mm Exp $
; LOGCFG.DAT for NA Sprint with N6TR's LOG 4.04.
;
; Remember to edit MYCALL MYNAME MYQTH and MYTIME
;
; Sprint QSOs usually come in pairs.  You S&P, work the station you call, then
; work the station that calls you (if you're loud enough), then more S&P.  If
; you S without successful P for more than 5 kHz, you might call CQ.
;
; Method 1 -- S&P in S&P mode -- works with simulator OK; puts database
; name and QTH into exchange window OK; requires typing entire callsign
; before sending your call.
;
;     1a. Make sure you're in S&P mode.  If not, hit <TAB>.
;     1b. Type call into call window.
;     1c. Hit <CR> to send your call.  Also dupe-checks and puts database
;         name (if known) into name window.
;     1d. If a dupe, your call not sent and call window is flushed.
;     1e. If not a dupe, your call sent and cursor put in exchange window,
;         along with database name and QTH.
;
; Method 2 -- S&P in ANY mode -- DOES NOT work with simulator; puts database
; name and QTH into exchange window OK; lets you dump in your call before,
; during, and/or after typing in callsign.
;
;     2a. Copy call in your head.  OK to start typing in call window.
;     2b. Check for dupe in visible dupesheet.
;     2c. Hit <F1> to send your call.
;     2d. Finish typing call into call window.
;     2e. Hit <SPACE> to dupe-check and put database name (if known) into
;         name window.
;     2f. If a dupe, call window is flushed.
;     2g. Hit <TAB> to put cursor in exchange window, along with database
;         name and QTH.  Now in S&P mode.
;
; Method 3 -- S&P in ANY mode -- works with simulator OK; DOES NOT put
; database name or QTH into exchange window; lets you dump in your call
; before typing in callsign.
;
;     3a. Copy call in your head.  Leave call window empty.
;     3b. Check for dupe in visible dupesheet.
;     3c. Hit <SPACE> to send your call.
;     3d. Type call into call window.
;     3e. Hit <SPACE> again to dupe-check and put database name (if known)
;         into name window.
;     3f. If a dupe, call window is flushed.
;     3g. Hit <TAB> to put cursor in exchange window.  Now in S&P mode.
;     3h. Database name left in name window; QTH unavailable.
;
; If you need to send your call again, hit <F1>.
;
; Now the cursor is in the exchange window and you can copy the sent exchange.
; If you need fills, ask for them with <alt-F1> through <alt-F5>.  Unlike SS,
; you cannot correct the call sign using the exchange window; it must be done
; using the call window.  (Tree?)
;
; After copying the exchange, send QSL+INFO (your "S&P" exchange) with either
; <CR> or <F2>.  <CR> logs the QSO, making the sent exchange "previous", but
; it puts you in CQ mode, so the different messages behind the <Fn> buttons --
; CQ instead of EX messages -- can compensate by sending NR-1 for NR fills.
; This is OK in the NA Sprint, but not sufficient for the Internet SprINT,
; where name fills must now come from the "previous previous" name.
;
;     4a. Send your call again with <F1> if needed.
;     4b. Copy the sent exchange into the exchange window.
;     4c. Make callsign corrections only in the call window <TAB> if needed.
;     4d. Ask for fills with <alt-F1> through <alt-F5>.
;     4e. Hit <CR> to send your exchange and log the QSO.  Now in CQ mode.
;     4f. If hand CW sent, hit <ctrl-\> to silently log QSO.  Now in CQ mode.
;     4g. Give fills with <F1> through <F5>.
;
; The frequency is now yours.  With some luck, a station will call you.  If
; not, you might want to call CQ.
;
;     5a. Hit <F1> or <CR> to send your call.
;     5b. Hit <F7> to send <your call> NA.
;     5c. Hit <F8> to send a real CQ.
;     5d. Turn the beam and hit <F8> again.
;     5e. Crank up the Variac and hit <F8> again.
;
; One day, someone comes back to your CQ.
;
;     6a. Start typing the callsign in the call window.
;     6b. Hit apostrophe <'> to start sending his call.
;     6c. Finish typing call and hit <CR>.
;     6d. If a dupe, QSO BEFORE message sent and call is flushed.
;     6e. If not a dupe, exchange sent and cursor put in exchange window,
;         along with database name and QTH.  Now in CQ EXCHANGE mode.
;     6f. Give fills with <F1> through <F5>.
;     6g. Copy the sent exchange into the exchange window.
;     6h. Ask for fills with <alt-F1> through <alt-F5>.
;     6j. Hit <CR> to send TU and log QSO.  Now in CQ mode.
;     6k. If hand-CW sent, hit <ctrl-\> to silently log QSO.  Now in CQ mode.
;
; Now it's his frequency, so spin your dial.

my call = MYCALL
my name = MYNAME
my state = MYQTH
contest = sprint
hour offset = MYTIME            ; 4=AST/EDT 5=EST/CDT 6=CST/MDT 7=MST/PDT 8=PST

display mode = color
keyer output port = parallel 1
paddle port = 1                 ; omit for use with external keyer
curtis keyer mode = a           ; omit for use with external keyer
simulator enable = false

mode = cw
multiple modes = false
possible calls = true           ; "super check partial"
name memory disable = false     ; set TRUE in Internet SprINT
exchange memory enable = true   ; set FALSE in Internet SprINT
say hi enable = true            ; set FALSE in Internet SprINT
visible dupesheet = true        ; set FALSE in Internet SprINT
auto dupe enable = true         ; set FALSE in Internet SprINT
sprint qsy rule = true          ; auto change from S&P to CQ mode
de enable = false               ; S&P <F1> sends CALL not DE CALL

s&p exchange = tu @^ #^ MYNAME^ MYQTH^ \
repeat s&p exchange = #^ MYNAME^ MYQTH
cq exchange = _\^ #^ MYNAME^ MYQTH
cq exchange name known = _hi %\^ #^ MYNAME^ MYQTH
qsl message = tu
quick qsl message = r
call ok now message = } ok
qso before message = _sri dupe 73^ \ na
tail end message = r

cq memory f1 = \
cq memory f2 = #-1^ MYNAME^ MYQTH ; if you send ur info with <CR>, u r now in CQ
cq memory f3 = #-1^ #-1       ; mode & fills must come from 1st editable QSO
cq memory f4 = MYNAME^ MYNAME
cq memory f5 = MYQTH^ MYQTH
cq memory f6 = tu
cq memory f7 = \ na
cq memory f8 = cq^na \ \ na
cq memory f9 = @^ sri dupe 73^ \ na
cq menu = F1=\ F2=ex F3=nr F4=nm  F5=qth F6=tu/IE F7=\NA/? F8=cq  F9=dupe F10=kbd/cfm
; ex menu busted so try making all buttons do same/similar thing in CQ & EX
; <alt-F1> thru <alt-F5> ask for info sent by F1 thru F5

ex memory f3 = #^ #
ex memory f4 = MYNAME^ MYNAME
ex memory f5 = MYQTH^ MYQTH
ex memory f6 = tu \ na
ex memory f7 = \ na
ex memory f8 = cq^na \ \ na
ex memory f9 = sri dupe 73^ \ na

cq memory altf1 = cl?
cq memory altf2 = agn?
cq memory altf3 = nr?
cq memory altf4 = name?
cq memory altf5 = qth?
cq memory altf6 = i^e
cq memory altf7 = ?
cq memory altf8 = qrl?
cq memory altf9 = \^ b4?
cq memory altf10 = ur cl )?

ex memory altf1 = ur cl?
ex memory altf2 = sri agn?
ex memory altf3 = nr?
ex memory altf4 = name?
ex memory altf5 = qth?
ex memory altf6 = i^e
ex memory altf7 = ?
ex memory altf8 = qrl?
ex memory altf9 = @^ b4?
ex memory altf10 = ur cl^ @?
